<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ShadowRenderable Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#42f520f7ba1c57e10130b81ed444affe">_updateCustomGpuParameter</a>(const GpuProgramParameters::AutoConstantEntry &amp;constantEntry, GpuProgramParameters *params) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#3e944b6d42bc87a19c02f3cc6e677f26">CustomParameterMap</a> typedef</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#1ce8341c18f75ef0b6d818eceea5b2e2">getCastsShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#1c122c0686168dac942700942bd9f8fc">getClipPlanes</a>() const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7f5bd1dc9046cb31307ac53914c82fc9">getCustomParameter</a>(size_t index) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#9039657d8484c4c1d5bc249aa4bce723">getLightCapRenderable</a>(void)</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#5a3b65ee917444b4a29ca69486d55229">getLights</a>(void) const </td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#f314cc202a2b7c3dcf4dd3dc9432346e">getMaterial</a>(void) const </td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#9dda967b054609898953bea98ea502b8">getNormaliseNormals</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#b6ecba3943f56182cddf3b3540afc760">getNumWorldTransforms</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#723105bef101e2385747f214348984b5">getPolygonModeOverrideable</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#36d3d1a31ec2661d66faa4675391ed25">getRenderOperation</a>(RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#e192ff33315f05bee1865a64547fe9a2">getRenderOperationForUpdate</a>(void)</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#0095fe3c8590580bb2b2176e5f279615">getSquaredViewDepth</a>(const Camera *) const </td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#afcc80b06f8c74eaac3d35e72ca54842">getTechnique</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2a8f061a5f322e0dae2fd6946fc2966f">getUseIdentityProjection</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#55df8c0a5347d589ee6ef7beaa38806e">getUseIdentityView</a>(void) const </td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#117de4d42d750a87646789d909aec59b">getWorldOrientation</a>(void) const =0</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#9f1ec57f56bbf690f0072ba60408f446">getWorldPosition</a>(void) const =0</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#3ec300ee9b2531c6f8a6330fd029e50b">getWorldTransforms</a>(Matrix4 *xform) const =0</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#46225aeba80348f0a48b73fb1667866d">isLightCapSeparate</a>(void) const </td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#e3bb22e06004a85619a71255367dd72f">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#7b91506fcf7007e1bf512dade4682731">mCustomParameters</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#c5e870a708a1fcc9fa8d6873aa11f5c1">mLightCap</a></td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#8c86d49c8c295f71ee409d1b20e5854d">mMaterial</a></td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4b7b701d41bfd85656829261cbcb3495">mPolygonModeOverrideable</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#a88e6ce3da25b3ea5a2fc5e622798b37">mRenderOp</a></td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#fb8c005cd3df11a051304937ad322112">msDummyPlaneList</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#27ee15aed77a5bf84b2c3f80c060616e">mUseIdentityProjection</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#536d8ef571a7a177d94e8a6203bd0b35">mUseIdentityView</a></td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#ed186856b59bf967f3188bfa70546957">Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#572c0331ef2ec650d56063fdc17435f5">setCustomParameter</a>(size_t index, const Vector4 &amp;value)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#624c5d9e88df9caeb2f7d57e69dab2be">setMaterial</a>(const MaterialPtr &amp;mat)</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#2108dfc322953a7bd429be8b62811e56">setPolygonModeOverrideable</a>(bool override)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#4136ce4b9d3add5203339327015d872d">setUseIdentityProjection</a>(bool useIdentityProjection)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e53cff42a16304f582ef83ad3017d614">setUseIdentityView</a>(bool useIdentityView)</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#fd48548fe3314d5d419c695c0788b278">ShadowRenderable</a>()</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Renderable.html#e5a6101851f1e45229f7b4bc20a69815">~Renderable</a>()</td><td><a class="el" href="classOgre_1_1Renderable.html">Ogre::Renderable</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowRenderable.html#3b9d5d4abdc4158e035c174816748305">~ShadowRenderable</a>()</td><td><a class="el" href="classOgre_1_1ShadowRenderable.html">Ogre::ShadowRenderable</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:37 2008
</p>
</body>
</html>
